package net.t2code.lib;

import java.util.Arrays;
import java.util.List;

public class Util {
    private static Boolean Snapshot = false;

    private static String Prefix = "§8[§4T2Code§5Lib§8]";
    private static Integer SpigotID = 96388;
    private static Integer BstatsID = 12518;
    private static String Spigot = "https://www.spigotmc.org/resources/" + SpigotID;
    private static String Discord = "http://dc.t2code.net";

    public static String getPrefix() {
        return Prefix;
    }

    public static Integer getSpigotID() {
        return SpigotID;
    }

    public static Integer getBstatsID() {
        return BstatsID;
    }

    public static String getSpigot() {
        return Spigot;
    }

    public static String getDiscord() {
        return Discord;
    }

    public static Boolean getSnapshot(){
        return Snapshot;
    }

    public static List<String> getT2cPlugins() {
        return t2cPlugins;
    }

    private static List<String> t2cPlugins =
            Arrays.asList(
                    "T2C-LuckyBox",
                    "WonderBagShop",
                    "CommandGUI",
                    "OPSecurity",
                    "PaPiTest",
                    "PlotSquaredGUI",
                    "T2C-Alias",
                    "T2C-AutoResponse",
                    "LoreEditor",
                    "Booster",
                    "AntiMapCopy",
                    "AntiCopy"
                    );
}
